package de.ozgcloud.vorgang.vorgang;

import de.ozgcloud.vorgang.servicekonto.GrpcServiceKontoTestFactory;

public class GrpcVorgangHeadTestFactory {

	public static final GrpcLock LOCK = GrpcLockTestFactory.create();

	public static GrpcVorgangHead create() {
		return createBuilder().build();
	}

	public static GrpcVorgangHead.Builder createBuilder() {
		return GrpcVorgangHead.newBuilder()
				.setServiceKonto(GrpcServiceKontoTestFactory.create())
				.setLock(LOCK);
	}
}
